Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator
Interface GeneratorLog

All Known Implementing Classes:
  CommonsLogger

    public interface GeneratorLog

Generator logging interface

Field Summary
`static int` | `DEBUG`
`static int` | `ERROR`
`static int` | `INFO`
`static int` | `TRACE`
`static int` | `WARN`

Method Summary
`void` | `log(int severity, java.lang.Class source, org.eclipse.emf.ecore.EObject cause, java.lang.String message, java.lang.Exception ex)` Log a generator exception
`void` | `log(int severity, java.lang.Class source, org.eclipse.emf.ecore.EObject cause, java.lang.String message, java.lang.Exception ex, java.lang.String detailedMessage)`

Field Detail

### DEBUG

    static final int DEBUG

See Also:
  Constant Field Values

### TRACE

    static final int TRACE

See Also:
  Constant Field Values

### INFO

    static final int INFO

See Also:
  Constant Field Values

### WARN

    static final int WARN

See Also:
  Constant Field Values

### ERROR

    static final int ERROR

See Also:
  Constant Field Values

Method Detail

### log

    void log(int severity,
             java.lang.Class source,
             org.eclipse.emf.ecore.EObject cause,
             java.lang.String message,
             java.lang.Exception ex)

  Log a generator exception

  Parameters:
    `severity` - one of GeneratorLog.DEBUG, GeneratorLog.TRACE, GeneratorLog.INFO, GeneratorLog.WARN, GeneratorLog.ERROR
    `source` - the object within which the exception occurred, e.g., an instance of Generator or TemplateEngine.
    `cause` - the EObject that was being processed when the exception occurred
    `ex` - the exception to be logged

### log

    void log(int severity,
             java.lang.Class source,
             org.eclipse.emf.ecore.EObject cause,
             java.lang.String message,
             java.lang.Exception ex,
             java.lang.String detailedMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD